%define upstream_name    Dist-Zilla-Shell
%define upstream_version 0.005

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    An interactive shell for Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 4.300.2
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Term::ReadLine)
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module adds a new command to the Dist::Zilla manpage: 'shell'. Run it
and an interactive shell is opened. You can then run any other Dist::Zilla
command that you usually run with "dzil _command_" (even 'shell' itself, to
open a sub-shell, but that is useless). Type 'q|quit|exit|x' to exit the
shell.

Any command unknown to Dist::Zilla is executed in a system shell, so you
can mix DZ commands and system commands (ls, prove, git...).

Running DZ commands from a shell brings the benefit of avoiding the huge
startup cost due to Moose and all Dist::Zilla plugins. So the first run of
a command under the shell may be still slow, but any successive run will be
much faster.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.5.0-9.mga8
+ Revision: 1494413
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.5.0-8.mga7
+ Revision: 1267754
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.5.0-7.mga6
+ Revision: 1026741
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.5.0-6.mga6
+ Revision: 948283
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 742934
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.5.0-3.mga4
+ Revision: 511307
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.5.0-2.mga3
+ Revision: 366732
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 09 2011 kharec <kharec> 0.5.0-1.mga2
+ Revision: 165728
- update to 0.005

* Tue Nov 08 2011 kharec <kharec> 0.4.0-1.mga2
+ Revision: 165637
- update to 0.004

* Tue Nov 08 2011 kharec <kharec> 0.3.0-1.mga2
+ Revision: 165236
- imported package perl-Dist-Zilla-Shell


* Tue Nov 08 2011 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
